Description

Setting up git usually involves either:

git clone git://github.com/ook/donebox.git

or

mkdir foo; cd foo; git init

Redmine wants its git repository set up in a "nonstandard", "bare" way.

So it's very easy to get the setup wrong (#9128), the error messages are not really helpful, there is no help from the setup page itself

and the relevant help page in the Redmine wiki is hard to find and the text accompanying the relevant configuration option is easy to
missunderstand.

I'd like to suggest the following changes:

1. change the text that accompanies the "path" configuration option from "Bare and local repository (e.g. /gitrepo, c:\gitrepo)" to
"repository that is bare and local (e.g. /gitrepo, c:\gitrepo)". (see here for the rationale)

2. Add a "Help" link to the text that is accompanying the "path” configuration option, that points to
http://www.redmine.org/projects/redmine/wiki/RedmineRepositories#Git-repository

Related issues:

Related to Redmine - Patch #8594: pt-BR translation update Closed 2011-06-11
Related to Redmine - Defect #9128: Redmine sugestion of the git repository pa... Closed 2011-08-25
Related to Redmine - Feature #4741: Improve Bazaar repositories error message... New 2009-02-21
Related to Redmine - Patch #9210: Traditional Chinese language file (to r7077) Closed 2011-09-09

Associated revisions

Revision 6636 - 2011-08-26 07:09 - Toshi MARUYAMA
temporarily hard-cord git repository note at project setting (#9129).

Contributed by Tomas Pospisek.

Revision 6637 - 2011-08-26 07:10 - Toshi MARUYAMA

temporarily remove git repository note from locale files (#9129).

Revision 6638 - 2011-08-26 07:11 - Toshi MARUYAMA

improve git repository note at project setting (#9129).

Contributed by Tomas Pospisek.

Revision 6639 - 2011-08-26 07:11 - Toshi MARUYAMA

readd Japanese translation "text_git_repository_note" (#9129).

Revision 6640 - 2011-08-26 07:13 - Toshi MARUYAMA

regenerate i18n text "text_git_repository_note" (#9129).
https://www.redmine.org/issues/9128
http://www.redmine.org/projects/redmine/wiki/RedmineRepositories#Git-repository
http://www.redmine.org/projects/redmine/wiki/RedmineRepositories/diff?project_id=redmine&version=40&version_from=39&commit=View+differences
http://www.redmine.org/projects/redmine/wiki/RedmineRepositories/diff?project_id=redmine&version=40&version_from=39&commit=View+differences
http://www.redmine.org/projects/redmine/wiki/RedmineRepositories/diff?project_id=redmine&version=40&version_from=39&commit=View+differences
http://www.redmine.org/projects/redmine/wiki/RedmineRepositories#Git-repository

Revision 7079 - 2011-09-10 04:16 - Toshi MARUYAMA
Traditional Chinese translation updated by ChunChang Lo (#9210, #9129)

Translations readded:

e text_git_repository_note

Revision 7797 - 2011-11-13 06:03 - Toshi MARUYAMA
Simplified Chinese "text_git_repository_note" translation updated by Steven Wong (#9558, #9129)

History

#1 - 2011-08-26 03:45 - Tomas Pospisek
- File git-path-docu.patch added

Second try, produced the correct patch

#2 - 2011-08-26 03:57 - Toshi MARUYAMA
- Assignee set to Toshi MARUYAMA

- Target version set to 1.3.0

#3 - 2011-08-26 07:09 - Toshi MARUYAMA

- Subject changed from Please improve wording of Git repository setup. Link to help to Improve wording of Git repository note at project setting

#4 - 2011-08-26 07:15 - Toshi MARUYAMA

- Status changed from New to Closed

| accept your request of improvement git note from r6636 to r6640 in trunk.
Because #8594 has a suggestion to change git note.

But, | can not accept to add wiki link.
e l|tis too hard to maintain.

e |t is strange in only git setting.
¢ | will improve fetching error message at #4741.

#5 - 2011-08-26 09:50 - Tomas Pospisek
Hi Toshi,
But, | can not accept to add wiki link
so, allthough I've been now using git for like two years, Redmine was the first time | was introduced to the notion of a "bare" repository. | had never
needed that feature before nor had any recipe on the internets.
If the user gets it wrong, will your error message point them to the wiki page or give instructions?
How are people, maybe even ones that are new to git, supposed to find out how to set up their repositories?
Try once how hard it is to find the correct wiki help page through Redmine's search. Also check the number of people that get stuck:

http://www.google.com/search?g=%22fatal$3A+Not+tatgit+repository%22+git+redmine

(it took me about 5 hours yesterday, which included debugging the code on a Windows machine)

It'd be nice if the setup was trivial and everybody got it correctly setup without any problems at all in an instant? So what's the way to get to that point?

#6 - 2011-08-26 10:10 - Toshi MARUYAMA

The bare repository requirement is one of FAQs before 1.1.
So, | added bare word.
Other FAQs:

® Repository permission
e command path
e repository path
o file:/gitrepo and file://hgrepo are incorrect.
https://www.redmine.org/projects/redmine/repository/svn/revisions/6636
https://www.redmine.org/projects/redmine/repository/svn/revisions/6640
https://www.redmine.org/issues/8594
https://www.redmine.org/issues/4741

Other FAQs are subversion xml parsing error and #4741.
So | will improve fetching error message.

| think the bare repository requirement description is enough in r6640.

#7 - 2016-06-19 13:57 - Toshi MARUYAMA

- Description updated

Files

git-path-docu.patch 791 Bytes 2011-08-26 Tomas Pospisek
git-path-docu.patch 799 Bytes 2011-08-26 Tomas Pospisek

2025-07-02

3/3


https://www.redmine.org/issues/4741
